Subject: [NEXTEL-1] Today in history:

From: Marcel <[email-masked]>
Date: Wed, 29 Jan 2003 15:02:14 -0500

Today in history

Last year: Seattle Center officials opened two time capsules — one from 1928
and the other from 1962 — that were found during renovation of the Opera
House. Among the contents were newspapers and a copy of an 1851 letter from
Seattle pioneer David Denny to his brother Arthur, urging him to move north from
Portland. Also found were petals and seeds from a sweetbrier-rose bush Denny
and his wife brought from Illinois. The old Opera House site is being transformed
into Marion Oliver McCaw Hall, a new home for Seattle Opera, Pacific
Northwest Ballet and other performing groups and community events.

Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/